summaryrefslogtreecommitdiff
path: root/dev-python/css-parser/css-parser-1.0.4-r1.ebuild
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/css-parser/css-parser-1.0.4-r1.ebuild')
-rw-r--r--dev-python/css-parser/css-parser-1.0.4-r1.ebuild23
1 files changed, 23 insertions, 0 deletions
diff --git a/dev-python/css-parser/css-parser-1.0.4-r1.ebuild b/dev-python/css-parser/css-parser-1.0.4-r1.ebuild
new file mode 100644
index 000000000000..97f1e05ef089
--- /dev/null
+++ b/dev-python/css-parser/css-parser-1.0.4-r1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A CSS Cascading Style Sheets library (fork of cssutils)"
+HOMEPAGE="https://pypi.org/project/css-parser/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="amd64 ~arm x86"
+
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+# Tests fail under network-sandbox.
+RESTRICT+=" test"
+
+python_test() {
+ esetup.py test || die "tests failed under ${EPYTHON}"
+}